classification
Title: Tutorial doesn't mention either pip or virtualenv
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.4, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: akuchling Nosy List: akuchling, eric.araujo, python-dev, skip.montanaro, taleinat
Priority: normal Keywords: patch

Created on 2015-04-08 19:30 by akuchling, last changed 2015-06-09 15:42 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
modules.patch akuchling, 2015-06-07 07:32 Tutorial: describe more modules in the stdlib section
tutorial.patch akuchling, 2015-06-07 07:33 review
venv.patch akuchling, 2015-06-07 07:35 Add virtualenv/pip to tutorial review
ppi.diff skip.montanaro, 2015-06-09 15:18
Messages (11)
msg240281 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2015-04-08 19:30
(from discussion at the 2015 Python Language Summit)

Current versions of Python make it relatively easy to install third-party packages such as requests.  New users may not realize this, though, and continue using libraries such as urllib/urllib2 because they're in the stdlib.

The Python tutorial doesn't seem to mention either virtualenv or pip. It should, describing how to create a virtualenv, install packages, and manage them in basic ways (removing, 'pip freeze', requirements.txt.)
msg244945 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2015-06-07 07:32
One unrelated improvement: describe some of the recently-added modules, and mention the json module.
msg244946 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2015-06-07 07:33
Rewrite discussion of python-list a bit, and add pyvideo.org to the list of links.
msg244947 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2015-06-07 07:35
Finally, the major stuff: add a section on pyvenv and pip to the tutorial.
msg244980 - (view) Author: Tal Einat (taleinat) * (Python committer) Date: 2015-06-07 23:06
modules.patch and tutorial.patch LGTM.

venv.patch is looking good; I posted two relatively minor comments on Rietveld.
msg245036 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-06-08 21:11
New changeset a18615eb5aec by Andrew Kuchling in branch '3.4':
#23891: describe a few more modules in the tutorial
https://hg.python.org/cpython/rev/a18615eb5aec

New changeset cffb6ac2bbe4 by Andrew Kuchling in branch '3.4':
#23891: rework discussion of python-list a bit
https://hg.python.org/cpython/rev/cffb6ac2bbe4
msg245037 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-06-08 21:39
New changeset 15ee0e7078e3 by Andrew Kuchling in branch '3.4':
#23891: add a section to the Tutorial describing virtual environments and pip
https://hg.python.org/cpython/rev/15ee0e7078e3
msg245039 - (view) Author: Tal Einat (taleinat) * (Python committer) Date: 2015-06-08 21:55
There is a dangling "If you" at the end of the 3rd paragraph under "Creating Virtual Environments".
msg245040 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-06-08 22:17
New changeset feae7fa3bb70 by Andrew Kuchling in branch '3.4':
#23891: remove extra words
https://hg.python.org/cpython/rev/feae7fa3bb70
msg245068 - (view) Author: Skip Montanaro (skip.montanaro) * (Python triager) Date: 2015-06-09 15:18
Small nit... The venv.patch file refers to "Python Packaging Index." It's the "Python Package Index."
msg245069 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-06-09 15:42
New changeset bb51d486a899 by Tal Einat in branch '3.4':
#23891: correctly refer to PyPI as "Python Package Index"
https://hg.python.org/cpython/rev/bb51d486a899
History
Date User Action Args
2015-06-09 15:42:48python-devsetmessages: + msg245069
2015-06-09 15:18:54skip.montanarosetfiles: + ppi.diff
nosy: + skip.montanaro
messages: + msg245068

2015-06-08 22:17:47python-devsetmessages: + msg245040
2015-06-08 21:55:52taleinatsetmessages: + msg245039
2015-06-08 21:44:11akuchlingsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2015-06-08 21:39:20python-devsetmessages: + msg245037
2015-06-08 21:11:49python-devsetnosy: + python-dev
messages: + msg245036
2015-06-07 23:06:55taleinatsetnosy: + taleinat
messages: + msg244980
2015-06-07 07:37:27akuchlingsetstage: patch review
2015-06-07 07:35:02akuchlingsetfiles: + venv.patch

messages: + msg244947
2015-06-07 07:33:56akuchlingsetfiles: + tutorial.patch

messages: + msg244946
2015-06-07 07:32:09akuchlingsetfiles: + modules.patch
keywords: + patch
messages: + msg244945
2015-04-10 16:47:11eric.araujosetnosy: + eric.araujo

versions: + Python 3.4
2015-04-08 19:30:10akuchlingcreate